Method: blueGreenDeployments.delete

Deletes a blue-green deployment.

HTTP request

DELETE https://sqladmin.googleapis.com/v1/{name=projects/*/locations/*/blueGreenDeployments/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the blue-green deployment to delete. Format: projects/{project}/locations/{location}/blueGreenDeployments/{blueGreenDeployment}

Query parameters

Parameters
deleteOldSource

boolean

Optional. If set to true, and the switchover is complete, this deletes the old source instance along with the deployment.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloudsql
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/sqlservice.admin

For more information, see the Authentication Overview.